org.apache.jmeter.protocol.http.sampler

## Class ResourcesDownloader.AsynSamplerResultHolder

- java.lang.Object
- - org.apache.jmeter.protocol.http.sampler.ResourcesDownloader.AsynSamplerResultHolder

- Enclosing class:
    ResourcesDownloader

      public static class ResourcesDownloader.AsynSamplerResultHolder
      extends java.lang.Object

  Holder of AsynSampler result

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsynSamplerResultHolder(HTTPSampleResult result, CollectionProperty cookies)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CollectionProperty` | `getCookies()`
    `HTTPSampleResult` | `getResult()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsynSamplerResultHolder

          public AsynSamplerResultHolder(HTTPSampleResult result,
                                         CollectionProperty cookies)

      Parameters:
        `result` - `HTTPSampleResult` to hold
        `cookies` - cookies to hold

  - ### Method Detail

    - #### getResult

          public HTTPSampleResult getResult()

      Returns:
        the result

    - #### getCookies

          public CollectionProperty getCookies()

      Returns:
        the cookies

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.